---
title: PIN Input
description: Allows users to input a sequence of one-character alphanumeric inputs.
source: apps/www/src/lib/registry/default/ui/pin-input
primitive: https://www.radix-vue.com/components/pin-input.html
---

<ComponentPreview name="PinInputDemo" /> 


## Installation

```bash
npx shadcn-vue@latest add pin-input
```

## Usage

### Form

<ComponentPreview name="PinInputFormDemo" /> 
